Get Collection Destinations
curl --request GET \
--url https://api.obiex.finance/v1/collections/destinations/me \
--header 'x-api-key: <api-key>'import requests
url = "https://api.obiex.finance/v1/collections/destinations/me"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.obiex.finance/v1/collections/destinations/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Ok",
"data": [
{
"id": "3c1a1e2d-6b3a-4f0a-9c2e-1a2b3c4d5e6f",
"createdAt": "2026-08-17T10:17:00.000Z",
"updatedAt": "2026-08-17T10:19:32.000Z",
"active": true,
"businessId": "51ec42a0-6c2f-4435-86ed-fa7bae079a57",
"customerId": "9b1d6a3d-df3e-4e33-9f2b-1c2e3a9b6a11",
"type": "FIAT",
"currency": "NGNX",
"accountNumber": "9012345678",
"reference": "9f639b9f-2a4a-4b0e-8e0e-2d9c9d7a9d3e",
"bankName": "Wema Bank",
"accountName": "Obiex-Ada Okafor",
"status": "USED",
"expiresAt": "2026-08-17T10:47:00.000Z"
}
],
"meta": {
"perPage": 30,
"currentPage": 1,
"totalPages": 1,
"count": 1,
"total": 1
}
}Business Collections
Get Collection Destinations
Lists the virtual accounts (or wallet addresses) generated for your collections. Requires a Business account.
GET
/
collections
/
destinations
/
me
Get Collection Destinations
Authorizations
Headers
Query Parameters
Response
200 - application/json
Successful response
The response is of type object.
Was this page helpful?
⌘I